/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef FGGL_GFX_COMMON_HPP
#define FGGL_GFX_COMMON_HPP

//
// This file exists to ensure that dependencies are loaded in the correct order.
// Code should NOT directly include things in this file (glfw, opengl) as the order MUST be correct or things go boom.
//

// load the correct rendering backend (only opengl for now)
#include <fggl/gfx/ogl/common.hpp>

// now it's safe to load the windowing system
#include <GLFW/glfw3.h>

#endif
